/*
**  POP3CacheManager.h
**
**  Copyright (c) 2001-2004
**
**  Author: Ludovic Marcotte <ludovic@Sophos.ca>
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**  
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
**  Lesser General Public License for more details.
**  
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#ifndef _Pantomime_H_POP3CacheManager
#define _Pantomime_H_POP3CacheManager

#include <Pantomime/CacheManager.h>

@class POP3CacheObject;

/*!
  @class POP3CacheManager
  @discussion This class provides trivial extensions to the
              CacheManager superclass for POP3Folder instances.
*/
@interface POP3CacheManager: CacheManager

/*!
  @method cacheObjectWithUID:
  @discussion This method is used to obtain the POP3CacheObject
              instance using the specified UID.
  @param theUID The UID of the instance to obtain.
  @result The instance, nil if not found in the receiver's cache.
*/
- (POP3CacheObject *) cacheObjectWithUID: (NSString *) theUID;

@end

#endif // _Pantomime_H_POP3CacheManager
